Skip to main content
PATCH
/
api
/
v2
/
approval-requests
/
projects
/
{projectKey}
/
settings
Update approval request settings
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/approval-requests/projects/{projectKey}/settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'LD-API-Version: <ld-api-version>' \
  --data '
{
  "resourceKind": "resourceKind",
  "serviceKind": "launchdarkly",
  "canReviewOwnRequest": false,
  "requiredApprovalTags": [
    "require-approval"
  ],
  "serviceConfig": {},
  "serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258",
  "bypassApprovalsForPendingChanges": false,
  "canApplyDeclinedChanges": true,
  "minNumApprovals": 1,
  "autoApplyApprovedChanges": true,
  "required": true,
  "environmentKey": "environmentKey"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required

Body

application/json

Approval request settings to update

environmentKey
string
required
resourceKind
string
required
autoApplyApprovedChanges
boolean | null

Automatically apply changes that have been approved by all reviewers. This field is only applicable for approval services other than LaunchDarkly.

Example:

true

bypassApprovalsForPendingChanges
boolean

Whether to skip approvals for pending changes

Example:

false

canApplyDeclinedChanges
boolean

Allow applying the change as long as at least one person has approved

Example:

true

canReviewOwnRequest
boolean

Allow someone who makes an approval request to apply their own change

Example:

false

minNumApprovals
integer<int>

Sets the amount of approvals required before a member can apply a change. The minimum is one and the maximum is five.

Example:

1

required
boolean

If approvals are required for this environment

Example:

true

requiredApprovalTags
string[]

Require approval only on flags with the provided tags. Otherwise all flags will require approval.

Example:
["require-approval"]
serviceConfig
object

Arbitrary service-specific configuration

Example:
{}
serviceKind
string

Which service to use for managing approvals

Example:

"launchdarkly"

serviceKindConfigurationId
string | null

Optional integration configuration ID of a custom approval integration. This is an Enterprise-only feature.

Example:

"1ef45a85-218f-4428-a8b2-a97e5f56c258"

Response

Successful response

{key}
object